libmspack

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mschmc_file Struct Reference

A structure which represents a file to be placed in a CHM helpfile. More...

`#include <mspack.h>`

## Data Fields

int | section
| One of MSCHMC_ENDLIST, MSCHMC_UNCOMP or MSCHMC_MSCOMP.
const char * | filename
| The filename of the source file that will be added to the CHM.
char * | chm_filename
| The full path and filename of the file within the CHM helpfile, a UTF-1 encoded null-terminated string.
off_t | length
| The length of the file, in bytes.

## Detailed Description

A structure which represents a file to be placed in a CHM helpfile.

A contiguous array of these structures should be passed to mschm_compressor::generate(). The array list is terminated with an entry whose mschmc_file::section field is set to MSCHMC_ENDLIST, the other fields in this entry are ignored.

## Field Documentation

char* mschmc_file::chm_filename

The full path and filename of the file within the CHM helpfile, a UTF-1 encoded null-terminated string.

const char* mschmc_file::filename

The filename of the source file that will be added to the CHM.

This is passed directly to mspack_system::open().

off_t mschmc_file::length

The length of the file, in bytes.

This will be adhered to strictly and a read error will be issued if this many bytes cannot be read from the real file at CHM generation time.

int mschmc_file::section

One of MSCHMC_ENDLIST, MSCHMC_UNCOMP or MSCHMC_MSCOMP.

The documentation for this struct was generated from the following file:

- mspack.h

All Data Structures Files Functions Variables Defines